Debian Bug report logs - #395739
rarpd: missing binary-indep target in debian/rules (Policy 4.9)

version graph

Package: rarpd; Maintainer for rarpd is Mats Erik Andersson <mats.andersson@gisladisker.se>; Source for rarpd is src:rarpd.

Reported by: Aurelien Jarno <aurel32@debian.org>

Date: Fri, 27 Oct 2006 21:17:17 UTC

Severity: important

Fixed in version rarpd/0.981107-7

Done: Junichi Uekawa <dancer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Junichi Uekawa <dancer@debian.org>:
Bug#395739; Package rarpd. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
New Bug report received and forwarded. Copy sent to Junichi Uekawa <dancer@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: rarpd: missing binary-indep target in debian/rules (Policy 4.9)
Date: Fri, 27 Oct 2006 22:47:42 +0200
Package: rarpd
Severity: important

Usertag: debianrulestarget

rarpd's source package contains a debian/rules file which does not 
contain the binary-indep target. This target required by both the section 
4.9 of the Debian policy [1] and the Etch release standards [2].

[1] http://www.debian.org/doc/debian-policy/ch-source.html#s-debianrules
[2] http://release.debian.org/etch_rc_policy.txt


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-amd64-k8-smp
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_FR.UTF-8)



Reply sent to Junichi Uekawa <dancer@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aurelien Jarno <aurel32@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 395739-close@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@debian.org>
To: 395739-close@bugs.debian.org
Subject: Bug#395739: fixed in rarpd 0.981107-7
Date: Thu, 23 Nov 2006 05:32:02 +0000
Source: rarpd
Source-Version: 0.981107-7

We believe that the bug you reported is fixed in the latest version of
rarpd, which is due to be installed in the Debian FTP archive:

rarpd_0.981107-7.diff.gz
  to pool/main/r/rarpd/rarpd_0.981107-7.diff.gz
rarpd_0.981107-7.dsc
  to pool/main/r/rarpd/rarpd_0.981107-7.dsc
rarpd_0.981107-7_amd64.deb
  to pool/main/r/rarpd/rarpd_0.981107-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 395739@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Junichi Uekawa <dancer@debian.org> (supplier of updated rarpd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 23 Nov 2006 14:21:01 +0900
Source: rarpd
Binary: rarpd
Architecture: source amd64
Version: 0.981107-7
Distribution: unstable
Urgency: low
Maintainer: Junichi Uekawa <dancer@debian.org>
Changed-By: Junichi Uekawa <dancer@debian.org>
Description: 
 rarpd      - Reverse Address Resolution Protocol daemon
Closes: 395739
Changes: 
 rarpd (0.981107-7) unstable; urgency=low
 .
   * Bug fix: "rarpd: missing binary-indep target in debian/rules (Policy
     4.9)", thanks to Aurelien Jarno (Closes: #395739).
   * warning fix: use socklen_t instead of int for recvfrom parmeter.
   * debian/rules: update debhelper compatibility level (DH_COMPAT) to 4.
   * Standards-Version: 3.7.2
Files: 
 474ddad87c3f9d612e6990505fd84beb 561 net extra rarpd_0.981107-7.dsc
 5cefc20daf87a375d8e6ed4f1ef07239 4952 net extra rarpd_0.981107-7.diff.gz
 5c5f52aeb47f14c4e60ffa0ca9f867a5 10408 net extra rarpd_0.981107-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFZS/s2Dd9TugeVcERAupBAJ0Q/o81wZsUSBPOLu75OwP0iMCH2wCfXcAV
LL/7RX2RyASHVjkjH51/9l4=
=J4ck
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 07:40:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:58:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.